Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class OfferInheaderFileAttachment
    Inherits FileAttachmentBase
    Private _FileType As String
    Private _OfferInHeader As OfferInHeader
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("OfferInheader-OfferInheaderFileAttachment", GetType(OfferInHeader))> _
    <Browsable(False)> _
    Property OfferInHeader As OfferInHeader
        Get
            Return _OfferInHeader
        End Get
        Set(value As OfferInHeader)
            SetPropertyValue("OfferInHeader", _OfferInHeader, value)
        End Set
    End Property
    Property FileType As String
        Get
            Return _FileType
        End Get
        Set(value As String)
            SetPropertyValue("FileType", _FileType, value)
        End Set
    End Property
End Class
